@echo off
REM evalcom.bat: Compare two ENDF formatted files
REM
REM Usage:
REM evalcom p1 p2 p3 p4
REM         p1 reference endf formatted tape
REM         p2 compared endf formatted tape
REM         p3 ZA number
REM         p4 temperature
REM
REM Author: D. L. Aldama, IAEA Consultant, Nov. 2004
REM Date: Nov. 2004
REM
REM OS: WINDOWS/NT/2000/XP
REM
REM Used codes and procedures: evalqab.bat, COMPLOT.
REM
   set dcomp=\prepro2007\
   set progs=\ADS\programs\
REM
   if exist PP02e61.dat del PP02e61.dat
   if exist PP02e62.dat del PP02e62.dat
   if exist ZA%3.lst    del ZA%3.lst
   if exist %progs%evalqab.bat call %progs%evalqab %1 %3 %4 keep
   if exist PP02endf.dat ren PP02endf.dat PP02e61.dat
   if exist %progs%evalqab.bat call %progs%evalqab %2 %3 %4 keep
   if exist PP02endf.dat ren PP02endf.dat PP02e62.dat
   if exist endf6.lin    del endf6.lin
   if exist endf6.rec    del endf6.rec
   if exist pp02endf.dat del pp02endf.dat
   if exist MT.DAT       del MT.DAT
   if exist PLOT.CHR     del PLOT.CHR
   if exist PLOT.SYM     del PLOT.SYM
   if exist LINEAR.INP   del LINEAR.INP
   if exist RECENT.INP   del RECENT.INP
   if exist SIGMA1.INP   del SIGMA1.INP
   if exist EVALPLOT.INP del EVALPLOT.INP
   if exist EVALQA.INP   del EVALQA.INP
   if exist LINEAR.LST   del LINEAR.LST
   if exist RECENT.LST   del RECENT.LST
   if exist SIGMA1.LST   del SIGMA1.LST
   if exist EVALPLOT.LST del EVALPLOT.LST
   if exist ZA*.EQA      del ZA*.EQA
   echo         0.0       12.5        0.0       10.0          1          1 2.0  >COMPLOT.INP
   echo PP02e61.dat                                                            >>COMPLOT.INP
   echo PP02e62.dat                                                            >>COMPLOT.INP
   echo           1          0          1          0          4          1   1 >>COMPLOT.INP
   echo      0.0001       1.05                                                 >>COMPLOT.INP
   echo %1                                                                     >>COMPLOT.INP
   echo %2                                                                     >>COMPLOT.INP
   echo.                                                                       >>COMPLOT.INP
   echo.                                                                       >>COMPLOT.INP
REM
REM  Complot
REM
   if not exist PP02e61.DAT        goto errcom
   if not exist PP02e62.DAT        goto errcom
   if not exist COMPLOT.INP        goto errcom
   if not exist %dcomp%MT.DAT      goto errcom
   if not exist %dcomp%PLOT.CHR    goto errcom
   if not exist %dcomp%PLOT.SYM    goto errcom
   if not exist %dcomp%complot.exe goto errcom
   copy %dcomp%MT.DAT
   copy %dcomp%PLOT.CHR
   copy %dcomp%PLOT.SYM
   %dcomp%complot
   if exist complot.lst  copy complot.lst ZA%3.lst
   if exist pp02e61.dat  del pp02e61.dat
   if exist pp02e62.dat  del pp02e62.dat
   if exist complot.lst  del complot.lst
   if exist complot.inp  del complot.inp
   if exist MT.DAT       del MT.DAT
   if exist PLOT.CHR     del PLOT.CHR
   if exist PLOT.SYM     del PLOT.SYM
   goto reset
REM
REM
REM
:errcom
   if not exist PP02e61.DAT         echo pp02e61.dat file not found
   if not exist PP02e62.DAT         echo pp02e62.dat file not found
   if not exist COMPLOT.INP         echo COMPLOT.INP file not found
   if not exist %dcomp%MT.DAT       echo %dcomp%MT.DAT file not found
   if not exist %dcomp%PLOT.CHR     echo %dcomp%PLOT.CHR file not found
   if not exist %dcomp%PLOT.SYM     echo %dcomp%PLOT.SYM file not found
   if not exist %dcomp%complot.exe  echo %dcomp%complot.exe not found
   goto reset
REM
REM
REM
:reset
   set dcomp=
   set progs=
:end
