@echo off
REM
REM NjoyADS.bat: Setup NJOY running sequence for ADS
REM
REM Author: D. L. Aldama, IAEA/NDS Consultant
REM Date: 06/2008
REM
REM Calling procedure: ADSlib.bat
REM 
REM Called procedures: njoyone.bat (call njoy.exe)
REM                    updxsd.bat  (call UpdXSDIR.exe)                  
REM
REM Usage: NjoyADS %1 %2
REM
REM        where %1: material identification XXAAA
REM              %2: type of calculation
REM                    p = pendf calculation
REM                    a = acer calculation
REM                    m = multigroup calculation
REM                    f = full (p+a+m)
REM                    q = (a+m) calculation
REM
REM
REM Examples: NjoyADS H_001 f
REM           NjoyADS Th232 a
REM
REM Running NJOY
REM
   echo.
   echo Njoying %1 ...
   if %1.==. goto end
   for /L %%i in (21,1,59) do if exist tape%%i del tape%%i
   for /L %%i in (61,1,90) do if exist tape%%i del tape%%i
   set ic=f
   if not %2.==. set ic=%2
   if %ic%.==f. goto pendf
   if %ic%.==p. goto pendf
   goto acer
:pendf
rem pendf run
   if not exist %1p.NJI echo %1p.NJI not found
   if not exist %1p.NJI goto end
   if exist %outd%%1p.OUT del %outd%%1p.OUT
   call %progd%njoyone %1 p
   if exist tape27 copy tape27 %pendfd%%1.PND
   if exist tape27 del tape27
   if exist %1p.OUT copy %1p.OUT %outd%%1p.OUT
   if exist %1p.OUT del %1p.OUT
:acer
   if %ic%.==f. goto acer1
   if %ic%.==a. goto acer1
   if %ic%.==q. goto acer1
   goto mgroup
:acer1
rem acer run
   if not exist %pendfd%%1.PND echo %pendfd%%1.PND not found
   if not exist %pendfd%%1.PND goto end
   copy %pendfd%%1.PND tape27
   if not exist %1a.NJI echo File %1a.NJI not found
   if not exist %1a.NJI goto mgroup
   if exist %aced%%1.ACE del %aced%%1.ACE
   if exist %aced%%1.XSD del %aced%%1.XSD
   if exist %outd%%1a.OUT del %outd%%1a.OUT 
   for %%i in (a b c d e f g h i j) do if exist %1%%i.NJI call %progd%njoyone %1 %%i  
   for /L %%i in (30,1,39) do if exist tape%%i type tape%%i >>%aced%%1.ACE
   for /L %%i in (40,1,49) do if exist tape%%i call %progd%updxsd tape%%i %1
   for /L %%i in (40,1,49) do if exist tape%%i type tape%%i >>%aced%%1.XSD
   for %%i in (a b c d e f g h i j) do if exist %1%%i.OUT type %1%%i.OUT >>%outd%%1a.OUT
   for %%i in (a b c d e f g h i j) do if exist %1%%i.OUT del %1%%i.OUT
   for %%i in (a b c d e f g h i j) do if exist %1%%i.PS copy %1%%i.PS %aceqad%%1%%i.PS
   for %%i in (a b c d e f g h i j) do if exist %1%%i.PS del %1%%i.PS
   for /L %%i in (30,1,49) do if exist tape%%i del tape%%i   
   set tsl=
   if %1.==H_001. set tsl=LWTR
   if %1.==H_002. set tsl=HWTR
   if %1.==C_nat. set tsl=GRPH
   if %tsl%.==. goto acer2
   if exist %aced%%tsl%.ACE del %aced%%tsl%.ACE
   if exist %aced%%tsl%.XSD del %aced%%tsl%.XSD
   if exist %outd%%tsl%.OUT del %outd%%tsl%.OUT
   for %%i in (q r s t u v w x y z) do if exist %1%%i.NJI call %progd%njoyone %1 %%i   
   for /L %%i in (70,1,79) do if exist tape%%i type tape%%i >>%aced%%tsl%.ACE
   for /L %%i in (80,1,89) do if exist tape%%i call %progd%updxsd tape%%i %tsl%
   for /L %%i in (80,1,89) do if exist tape%%i type tape%%i >>%aced%%tsl%.XSD
   for %%i in (q r s t u v w x y z) do if exist %1%%i.OUT type %1%%i.OUT >>%outd%%tsl%.OUT
   for %%i in (q r s t u v w x y z) do if exist %1%%i.OUT del %1%%i.OUT
   for %%i in (q r s t u v w x y z) do if exist %1%%i.PS copy %1%%i.PS %aceqad%%1%%i.PS
   for %%i in (q r s t u v w x y z) do if exist %1%%i.PS del %1%%i.PS
   for /L %%i in (70,1,89) do if exist tape%%i del tape%%i
   set tsl=        
:acer2
   if exist tape27 del tape27    
:mgroup
   if %ic%.==f. goto mg
   if %ic%.==m. goto mg
   if %ic%.==q. goto mg
   goto end
:mg
rem multigroup XS run
   if not exist %1m.NJI echo %1m.NJI not found
   if not exist %1m.NJI goto end
   if not exist %pendfd%%1.PND echo %pendfd%%1.PND not found
   if not exist %pendfd%%1.PND goto end
   copy %pendfd%%1.PND tape27
   if exist %outd%%1m.OUT del %outd%%1m.OUT
   call %progd%njoyone %1 m
   if exist tape51 copy tape51 %matxsd%%1.MXS
   if exist tape51 del tape51
   if exist tape50 copy tape50 %gendfd%%1.GXS
   if exist tape50 del tape50
   if exist %1m.OUT copy %1m.OUT %outd%%1m.OUT
   if exist %1m.OUT del %1m.OUT   
   if exist tape27 del tape27
:end
   set ic=
REM
echo Done for %1
REM
